// 存放路径: src/services/home.ts
import type { BannerItem } from '@/types/home'
import { http } from '@/utils/http'

// 查询车型
export const queryList = () => {
  return http({
    method: 'GET',
    url: '/system/vehicleDic/queryList',
  })
}
/**
 * 查询- 自己的车型
 * @param data
 */
export function memberVehicle(data: any) {
  return http({
    method: 'GET',
    url: '/system/vehicle/memberVehicle',
    data,
  })
}

/**
 * 获取用户指派信息 - 列表
 * @param data
 */
export function userAppointed(data: any) {
  return http({
    method: 'GET',
    url: '/order/appoint/userAppointed',
    data,
  })
}

/**
 * 用户接受指派
 * @param data
 * @returns {*}
 */
export function updStatus(data: any) {
  return http({
    method: 'GET',
    url: '/order/appoint/DriverAgree',
    data: data,
  })
}

/**
 * 用户拒绝指派
 * @param data
 * @returns {*}
 */
export function updStatusRefuse(data: any) {
  return http({
    method: 'GET',
    url: '/order/appoint/DriverReject',
    data: data,
  })
}

// 登录接口
export const loginUser = (data: any) => {
  // 如果index是1 就是登录/找回密码
  return http({
    method: 'GET',
    url: '/auth/mobile/login',
    data,
  })
}

// 获取验证码
export const loginSmsCode = (username: any, index: any, password?: any) => {
  // 如果index是1 就是登录/找回密码
  return http({
    method: 'GET',
    url: '/auth/mobile/smsCode',
    data: {
      account: username,
      type: index,
      password: password,
    },
  })
}

// 修改密码-找回密码
export const recoverPassword = (data: any) => {
  return http({
    method: 'POST',
    url: '/auth/mobile/recoverPassword',
    data,
  })
}

// 修改密码-找回密码 验证码请求
export const recoverPasswordVerify = (data: any) => {
  return http({
    method: 'GET',
    url: '/auth/mobile/recoverPasswordVerify',
    data,
  })
}
// 注册账号  type 3
export const loginRegistered = (data: any) => {
  return http({
    method: 'POST',
    url: '/auth/mobile/register',
    data,
  })
}

// 退出登录
export const logout = () => {
  return http({
    method: 'GET',
    url: `/auth/weiXin/logout`,
  })
}

// 用户查询用户头像、昵称、生日等信息
export function baseInfo() {
  return http({
    url: '/system/member/client/baseInfo',
    method: 'GET',
  })
}

// 更新 用户头像、昵称、生日等信息
export function updateBaseInfo(data: any) {
  return http({
    url: '/system/member/client/updateBaseInfo',
    method: 'POST',
    data: data,
  })
}

// 获取用户头像信息
export function driverMemberInfo() {
  return http({
    url: '/system/member/driverMemberInfo',
    method: 'GET',
  })
}
// 获取当前角色 查询订单全部信息 ---完成订单信息
export function getHomeGoodsGuessLikeAPI(data: any) {
  return http({
    url: '/order/waybill/waybillPage',
    method: 'POST',
    data: data,
  })
}
